org.eclnt.jsfserver.elements.componentnodes

## Class TOGGLENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.TOGGLENode

- All Implemented Interfaces:
    java.io.Serializable

      public class TOGGLENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TOGGLENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TOGGLENode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindActionListener(IActionListenerDelegation value)`
    `TOGGLENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindBackground(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindBorder(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindClientname(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindClientvaluereference(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindColspan(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindComment(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindEnabled(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFlush(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFocusable(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindForeground(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindForegrounddisabled(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindHeight(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindHelpid(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindHotkey(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImageborder(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImagefalse(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImageheight(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImagenull(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImagetrue(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindRendered(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindRounding(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindSelected(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindShadow(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindText(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindTooltip(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindTriplestate(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindUserhint(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindWidth(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindX(IDynamicContentBindingObject value)`
    `TOGGLENode` | `bindY(IDynamicContentBindingObject value)`
    `TOGGLENode` | `setAccessiblename(java.lang.String value)`
    `TOGGLENode` | `setActionListener(java.lang.String value)`
    `TOGGLENode` | `setAdapterbinding(java.lang.String value)`
    `TOGGLENode` | `setAnimatechangeofsize(boolean value)`
    `TOGGLENode` | `setAnimatechangeofsize(java.lang.String value)`
    `TOGGLENode` | `setAnimationtype(java.lang.String value)`
    `TOGGLENode` | `setAttributemacro(java.lang.String value)`
    `TOGGLENode` | `setBackground(java.lang.String value)`
    `TOGGLENode` | `setBgpaint(java.lang.String value)`
    `TOGGLENode` | `setBorder(java.lang.String value)`
    `TOGGLENode` | `setClientname(java.lang.String value)`
    `TOGGLENode` | `setClientvaluereference(java.lang.String value)`
    `TOGGLENode` | `setColspan(int value)`
    `TOGGLENode` | `setColspan(java.lang.String value)`
    `TOGGLENode` | `setComment(java.lang.String value)`
    `TOGGLENode` | `setConfiginfo(java.lang.String value)`
    `TOGGLENode` | `setDragroundtrip(boolean value)`
    `TOGGLENode` | `setDragroundtrip(java.lang.String value)`
    `TOGGLENode` | `setDragsend(java.lang.String value)`
    `TOGGLENode` | `setDroprastertext(java.lang.String value)`
    `TOGGLENode` | `setDropreceive(java.lang.String value)`
    `TOGGLENode` | `setDropshape(java.lang.String value)`
    `TOGGLENode` | `setEnabled(boolean value)`
    `TOGGLENode` | `setEnabled(java.lang.String value)`
    `TOGGLENode` | `setFlush(boolean value)`
    `TOGGLENode` | `setFlush(java.lang.String value)`
    `TOGGLENode` | `setFocusable(boolean value)`
    `TOGGLENode` | `setFocusable(java.lang.String value)`
    `TOGGLENode` | `setFocusdrawborder(boolean value)`
    `TOGGLENode` | `setFocusdrawborder(java.lang.String value)`
    `TOGGLENode` | `setFocusnexthotkey(java.lang.String value)`
    `TOGGLENode` | `setFocusprevioushotkey(java.lang.String value)`
    `TOGGLENode` | `setFocussequence(java.lang.String value)`
    `TOGGLENode` | `setForeground(java.lang.String value)`
    `TOGGLENode` | `setForegrounddisabled(java.lang.String value)`
    `TOGGLENode` | `setFxstyleseq(java.lang.String value)`
    `TOGGLENode` | `setHeight(int value)`
    `TOGGLENode` | `setHeight(java.lang.String value)`
    `TOGGLENode` | `setHelpid(java.lang.String value)`
    `TOGGLENode` | `setHotkey(java.lang.String value)`
    `TOGGLENode` | `setId(java.lang.String value)`
    `TOGGLENode` | `setImageborder(java.lang.String value)`
    `TOGGLENode` | `setImagefalse(java.lang.String value)`
    `TOGGLENode` | `setImageheight(int value)`
    `TOGGLENode` | `setImageheight(java.lang.String value)`
    `TOGGLENode` | `setImagenull(java.lang.String value)`
    `TOGGLENode` | `setImagetrue(java.lang.String value)`
    `TOGGLENode` | `setImagewidth(int value)`
    `TOGGLENode` | `setImagewidth(java.lang.String value)`
    `TOGGLENode` | `setPopupmenu(java.lang.String value)`
    `TOGGLENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `TOGGLENode` | `setReference(java.lang.String value)`
    `TOGGLENode` | `setRendered(boolean value)`
    `TOGGLENode` | `setRendered(java.lang.String value)`
    `TOGGLENode` | `setRequestfocus(java.lang.String value)`
    `TOGGLENode` | `setRequestfocushotkey(java.lang.String value)`
    `TOGGLENode` | `setRounding(int value)`
    `TOGGLENode` | `setRounding(java.lang.String value)`
    `TOGGLENode` | `setRowalignmenty(java.lang.String value)`
    `TOGGLENode` | `setSelected(boolean value)`
    `TOGGLENode` | `setSelected(java.lang.String value)`
    `TOGGLENode` | `setShadow(java.lang.String value)`
    `TOGGLENode` | `setStyleseq(java.lang.String value)`
    `TOGGLENode` | `setStylevariant(java.lang.String value)`
    `TOGGLENode` | `setText(java.lang.String value)`
    `TOGGLENode` | `setTooltip(java.lang.String value)`
    `TOGGLENode` | `setTriplestate(boolean value)`
    `TOGGLENode` | `setTriplestate(java.lang.String value)`
    `TOGGLENode` | `setUserhint(java.lang.String value)`
    `TOGGLENode` | `setUserhinttrigger(java.lang.String value)`
    `TOGGLENode` | `setWidth(int value)`
    `TOGGLENode` | `setWidth(java.lang.String value)`
    `TOGGLENode` | `setWithfocusevent(boolean value)`
    `TOGGLENode` | `setWithfocusevent(java.lang.String value)`
    `TOGGLENode` | `setX(int value)`
    `TOGGLENode` | `setX(java.lang.String value)`
    `TOGGLENode` | `setY(int value)`
    `TOGGLENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TOGGLENode

          public TOGGLENode()

  - ### Method Detail

    - #### setId

          public TOGGLENode setId(java.lang.String value)

    - #### setAccessiblename

          public TOGGLENode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public TOGGLENode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public TOGGLENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public TOGGLENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public TOGGLENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public TOGGLENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public TOGGLENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public TOGGLENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public TOGGLENode setAnimatechangeofsize(boolean value)

    - #### setAnimationtype

          public TOGGLENode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public TOGGLENode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public TOGGLENode setAttributemacro(java.lang.String value)

    - #### setBackground

          public TOGGLENode setBackground(java.lang.String value)

    - #### bindBackground

          public TOGGLENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public TOGGLENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public TOGGLENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public TOGGLENode setBorder(java.lang.String value)

    - #### bindBorder

          public TOGGLENode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public TOGGLENode setClientname(java.lang.String value)

    - #### bindClientname

          public TOGGLENode bindClientname(IDynamicContentBindingObject value)

    - #### setClientvaluereference

          public TOGGLENode setClientvaluereference(java.lang.String value)

    - #### bindClientvaluereference

          public TOGGLENode bindClientvaluereference(IDynamicContentBindingObject value)

    - #### setColspan

          public TOGGLENode setColspan(java.lang.String value)

    - #### bindColspan

          public TOGGLENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public TOGGLENode setColspan(int value)

    - #### setComment

          public TOGGLENode setComment(java.lang.String value)

    - #### bindComment

          public TOGGLENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public TOGGLENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public TOGGLENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public TOGGLENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public TOGGLENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public TOGGLENode setDragroundtrip(boolean value)

    - #### setDragsend

          public TOGGLENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public TOGGLENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public TOGGLENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public TOGGLENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public TOGGLENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public TOGGLENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public TOGGLENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public TOGGLENode bindDropshape(IDynamicContentBindingObject value)

    - #### setEnabled

          public TOGGLENode setEnabled(java.lang.String value)

    - #### bindEnabled

          public TOGGLENode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public TOGGLENode setEnabled(boolean value)

    - #### setFlush

          public TOGGLENode setFlush(java.lang.String value)

    - #### bindFlush

          public TOGGLENode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public TOGGLENode setFlush(boolean value)

    - #### setFocusable

          public TOGGLENode setFocusable(java.lang.String value)

    - #### bindFocusable

          public TOGGLENode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public TOGGLENode setFocusable(boolean value)

    - #### setFocusdrawborder

          public TOGGLENode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public TOGGLENode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public TOGGLENode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public TOGGLENode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public TOGGLENode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public TOGGLENode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public TOGGLENode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussequence

          public TOGGLENode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public TOGGLENode bindFocussequence(IDynamicContentBindingObject value)

    - #### setForeground

          public TOGGLENode setForeground(java.lang.String value)

    - #### bindForeground

          public TOGGLENode bindForeground(IDynamicContentBindingObject value)

    - #### setForegrounddisabled

          public TOGGLENode setForegrounddisabled(java.lang.String value)

    - #### bindForegrounddisabled

          public TOGGLENode bindForegrounddisabled(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public TOGGLENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public TOGGLENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public TOGGLENode setHeight(java.lang.String value)

    - #### bindHeight

          public TOGGLENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public TOGGLENode setHeight(int value)

    - #### setHelpid

          public TOGGLENode setHelpid(java.lang.String value)

    - #### bindHelpid

          public TOGGLENode bindHelpid(IDynamicContentBindingObject value)

    - #### setHotkey

          public TOGGLENode setHotkey(java.lang.String value)

    - #### bindHotkey

          public TOGGLENode bindHotkey(IDynamicContentBindingObject value)

    - #### setImageborder

          public TOGGLENode setImageborder(java.lang.String value)

    - #### bindImageborder

          public TOGGLENode bindImageborder(IDynamicContentBindingObject value)

    - #### setImagefalse

          public TOGGLENode setImagefalse(java.lang.String value)

    - #### bindImagefalse

          public TOGGLENode bindImagefalse(IDynamicContentBindingObject value)

    - #### setImageheight

          public TOGGLENode setImageheight(java.lang.String value)

    - #### bindImageheight

          public TOGGLENode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public TOGGLENode setImageheight(int value)

    - #### setImagenull

          public TOGGLENode setImagenull(java.lang.String value)

    - #### bindImagenull

          public TOGGLENode bindImagenull(IDynamicContentBindingObject value)

    - #### setImagetrue

          public TOGGLENode setImagetrue(java.lang.String value)

    - #### bindImagetrue

          public TOGGLENode bindImagetrue(IDynamicContentBindingObject value)

    - #### setImagewidth

          public TOGGLENode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public TOGGLENode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public TOGGLENode setImagewidth(int value)

    - #### setPopupmenu

          public TOGGLENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public TOGGLENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public TOGGLENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public TOGGLENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public TOGGLENode setReference(java.lang.String value)

    - #### setRendered

          public TOGGLENode setRendered(java.lang.String value)

    - #### bindRendered

          public TOGGLENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public TOGGLENode setRendered(boolean value)

    - #### setRequestfocus

          public TOGGLENode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public TOGGLENode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public TOGGLENode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public TOGGLENode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public TOGGLENode setRounding(java.lang.String value)

    - #### bindRounding

          public TOGGLENode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public TOGGLENode setRounding(int value)

    - #### setRowalignmenty

          public TOGGLENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public TOGGLENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setSelected

          public TOGGLENode setSelected(java.lang.String value)

    - #### bindSelected

          public TOGGLENode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public TOGGLENode setSelected(boolean value)

    - #### setShadow

          public TOGGLENode setShadow(java.lang.String value)

    - #### bindShadow

          public TOGGLENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public TOGGLENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public TOGGLENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public TOGGLENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public TOGGLENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public TOGGLENode setText(java.lang.String value)

    - #### bindText

          public TOGGLENode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public TOGGLENode setTooltip(java.lang.String value)

    - #### bindTooltip

          public TOGGLENode bindTooltip(IDynamicContentBindingObject value)

    - #### setTriplestate

          public TOGGLENode setTriplestate(java.lang.String value)

    - #### bindTriplestate

          public TOGGLENode bindTriplestate(IDynamicContentBindingObject value)

    - #### setTriplestate

          public TOGGLENode setTriplestate(boolean value)

    - #### setUserhint

          public TOGGLENode setUserhint(java.lang.String value)

    - #### bindUserhint

          public TOGGLENode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public TOGGLENode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public TOGGLENode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setWidth

          public TOGGLENode setWidth(java.lang.String value)

    - #### bindWidth

          public TOGGLENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public TOGGLENode setWidth(int value)

    - #### setWithfocusevent

          public TOGGLENode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public TOGGLENode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public TOGGLENode setWithfocusevent(boolean value)

    - #### setX

          public TOGGLENode setX(java.lang.String value)

    - #### bindX

          public TOGGLENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public TOGGLENode setX(int value)

    - #### setY

          public TOGGLENode setY(java.lang.String value)

    - #### bindY

          public TOGGLENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public TOGGLENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.